%define debug_package %{nil}

Summary:	File System in User Space - Module for ext2

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		fuseext2
Version:	0.3
Release:	1%{?dist}
URL:		http://sf.net/view-os

License:	GPL

Group:		Applications/Forensics Tools
Source:		http://sf.net/view-os/fuse-umfuse-ext2-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	fuse-devel
BuildRequires:	libumlib-devel
BuildRequires:	e2fsprogs-devel

%description
This module for the FUSE kernel service allows any FUSE-enabled user to mount
Second Extended file systems, e.g. disk images.

The module has been initially written for UMView, the user-mode
implementation of View-OS. If you want to allow completely user-mode disk
images mounting (with no kernel/superuser support at all), take a look at
umview-mod-umfuseext2 and its dependencies.

%prep
%setup -n fuse-umfuse-ext2-%{version}

%build
%if 0%{?fedora} == 20
sudo sed --in-place 's/struct *ptrace_peeksiginfo_args/struct __ptrace_peeksiginfo_args/' /usr/include/sys/ptrace.h
%endif
%configure
%if 0%{?fedora} == 20
sudo sed --in-place 's/struct  *__ptrace_peeksiginfo_args/struct ptrace_peeksiginfo_args/' /usr/include/sys/ptrace.h
%endif

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc 
%attr(0755, root, root)	%{_bindir}/%{name}
%attr(0644, root, root)	%{_mandir}/man1/*
%attr(0644, root, root)	%{_libdir}/umview/modules/*

%changelog
* Thu Jun 26 2008 Filippo Giunchedi <filippo@debian.org> 0.3-1
* Release 0.3-1
  [ Ludovico Gardenghi ]
  * New upstream release
    + Added support for rename()
    + Added support for symlink()

  [ Filippo Giunchedi ]
  * Upgrade to S-V 3.8.0 (add Homepage) 
  * libumlib0-dev -> libumlib-dev transition 
  * Fix link to GPLv2 in copyright 

* Fri May 04 2007 Filippo Giunchedi <filippo@debian.org>0.2-2
* Release 0.2-2
  * switch to CDBS 

* Fri May 04 2007 Filippo Giunchedi <filippo@debian.org>0.2-1
* Release 0.2-1
  * new upstream release, manpage added 

* Wed Feb 14 2007 Guido Trotter <ultrotter@debian.org>0.1-1
* Release 0.1-1
  [ Ludovico Gardenghi ]
  * Initial release

  [ Guido Trotter ]
  * Fix build dependencies
